Package org.apache.sysds.runtime.instructions.spark.functions

## Class MapJoinSignature

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.functions.MapJoinSignature

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.Function<scala.Tuple2<MatrixBlock[],​MatrixBlock>,​MatrixBlock[]>`

    public class MapJoinSignature
    extends Object
    implements org.apache.spark.api.java.function.Function<scala.Tuple2<MatrixBlock[],​MatrixBlock>,​MatrixBlock[]>

See Also:
  Serialized Form

### Constructor Summary

Constructors
`MapJoinSignature()`

### Method Summary

All Methods Instance Methods Concrete Methods
`MatrixBlock[]` `call​(scala.Tuple2<MatrixBlock[],​MatrixBlock> v1)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MapJoinSignature

    public MapJoinSignature()

### Method Detail

#### call

    public MatrixBlock[] call​(scala.Tuple2<MatrixBlock[],​MatrixBlock> v1)
                       throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.Function<scala.Tuple2<MatrixBlock[],​MatrixBlock>,​MatrixBlock[]>`
Throws:
  `Exception`